###  | #  |

Public Member Functions | Protected Attributes | List of all members
reader_base< FormatTag, ConversionPolicy > Struct Template Reference

`#include <reader_base.hpp>`

## Public Member Functions
| reader_base ()
| reader_base (const ConversionPolicy &cc)
template<typename Image >
void | init_image (Image &img, const image_read_settings< FormatTag > &settings)
template<typename View >
void | init_view (const View &view, const image_read_settings< FormatTag > &)

## Protected Attributes
ConversionPolicy | _cc_policy

## Detailed Description

template<typename FormatTag, typename ConversionPolicy>
struct boost::gil::reader_base< FormatTag, ConversionPolicy >

Reader Base Class

It provides some basic functionality which is shared for all readers. For instance, it recreates images when necessary. It checks whether user supplied coordinates are valid.

Template Parameters

  FormatTag | A format tag, like jpeg_tag.
  ConversionPolicy | Conversion policy, see coversion_policies.hpp.

## Constructor & Destructor Documentation

## ◆ reader_base() [1/2]

reader_base | ( |  | ) |
| inline

Default Constructor

## ◆ reader_base() [2/2]

reader_base | ( | const ConversionPolicy & | cc | ) |
| inline

Constructor

## Member Function Documentation

## ◆ init_image()

void init_image | ( | Image & | img,
|  | const image_read_settings< FormatTag > & | settings
| ) |  |
| inline

Initializes an image. But also does some check ups.

Template Parameters

  Image | Image which implements boost::gil's ImageConcept.

Parameters

  img | The image.
  info | The image read info.

The documentation for this struct was generated from the following file:

- reader_base.hpp